---
apiVersion: v1
kind: Namespace
metadata:
  name: inhapps
---
apiVersion: apps/v1 
kind: Deployment
metadata:
  name: spokey
  namespace: inhapps
  labels:
    name: spokey
spec:
  replicas: 1
  selector: 
    matchLabels: 
      app: spokey
  template:
    metadata:
      labels:
        app: spokey
    spec:
      containers:
      - name: spokey 
        image: registry.gitlab.com/dagosplayground/flaskplay/gitless-gui:latest
        imagePullPolicy: Always
        workingDir: /spokey
        command: ["bash"]
        args: ["launchServer.sh"]
        # command: ["sleep"]
        # args: ["50000"]
        volumeMounts:
          - name: spokey-volume-mount
            mountPath: /spokey/cache 
      dnsPolicy: Default
      volumes:
      - name: spokey-volume-mount
        persistentVolumeClaim:
          claimName: spokey-pvc
      restartPolicy: Always
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: spokey-pvc
  namespace: inhapps
  labels:
    type: local
spec:
  accessModes:
    - ReadWriteOnce
  resources:
    requests:
      storage: 5Gi
  volumeName: spokey-pv
  storageClassName: spokeystore 
---
apiVersion: v1
kind: PersistentVolume
metadata:
  name: spokey-pv
  namespace: inhapps
  labels:
    type: local
spec:
  capacity:
    storage: 5Gi
  storageClassName: spokeystore 
  accessModes:
    - ReadWriteOnce
  hostPath:
    path: "/spokey/cache"
---
apiVersion: v1
kind: Service
metadata:
  name: spokey
  namespace: inhapps
  labels:
    name: spokey-svc
    app: spokey
spec:
  selector:
    app: spokey
  ports:
  - protocol: TCP
    port: 6550    
    targetPort: 6553
  type: LoadBalancer 
